package cn.van.business.model.jd;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.io.Serializable;

/**
 * @author Leo
 * @version 1.0
 * @create 2024/11/6 下午10:19
 * @description：
 */
public class CategoryInfoVO implements Serializable {
    private Long cid1;
    private Long cid2;
    private Long cid3;
    private String cid1Name;
    private String cid2Name;
    private String cid3Name;

    public CategoryInfoVO() {
    }

    @JsonProperty("cid1")
    public void setCid1(Long cid1) {
        this.cid1 = cid1;
    }

    @JsonProperty("cid1")
    public Long getCid1() {
        return this.cid1;
    }

    @JsonProperty("cid2")
    public void setCid2(Long cid2) {
        this.cid2 = cid2;
    }

    @JsonProperty("cid2")
    public Long getCid2() {
        return this.cid2;
    }

    @JsonProperty("cid3")
    public void setCid3(Long cid3) {
        this.cid3 = cid3;
    }

    @JsonProperty("cid3")
    public Long getCid3() {
        return this.cid3;
    }

    @JsonProperty("cid1Name")
    public void setCid1Name(String cid1Name) {
        this.cid1Name = cid1Name;
    }

    @JsonProperty("cid1Name")
    public String getCid1Name() {
        return this.cid1Name;
    }

    @JsonProperty("cid2Name")
    public void setCid2Name(String cid2Name) {
        this.cid2Name = cid2Name;
    }

    @JsonProperty("cid2Name")
    public String getCid2Name() {
        return this.cid2Name;
    }

    @JsonProperty("cid3Name")
    public void setCid3Name(String cid3Name) {
        this.cid3Name = cid3Name;
    }

    @JsonProperty("cid3Name")
    public String getCid3Name() {
        return this.cid3Name;
    }
}

